package org.ucam.srcf.assassins.strawberry;

import org.ucam.srcf.assassins.Debug;

/**
 * Class to perform division.
 */
class Division extends Operator {
	protected static int precedence=40;
	protected static char character='/';

	public double evaluate(double lval, double rval) {
		if(Debug.debug) Debug.print(this, lval+" / "+rval + " = "+(lval/rval));
		return lval / rval;
	}

	public static int getPrecedence() {
      return precedence;
   }

	public static char getCharacter() {
      return character;
   }
}
